Mail Forwarding
Endpoints for managing mail forwarding.
Show mail-forwarding status
Returns the current provisioning status and paid renewal date for the domain.
path Parameters
domainNameOrIdfull domain name or ID
Show mail-forwarding status › Responses
MailForwarding
Enable mail forwarding
Configures mail forwarding and starts DNS verification. The request returns while verification is pending. The domain must use hosted DNS. Existing aliases are imported when the domain already exists at the forwarding provider.
This endpoint could result in a charge to the authenticated team's payment method or an invoice being created. Re-enabling before the current
renews_atdate does not create another charge.
This endpoint may remove conflicting DNS records so mail forwarding can work.
path Parameters
domainNameOrIdfull domain name or ID
Enable mail forwarding › Responses
Mail forwarding was configured and DNS verification is pending.
Retry mail-forwarding verification
Repairs missing provider or DNS configuration and restarts verification after a failed attempt.
path Parameters
domainNameOrIdfull domain name or ID
Retry mail-forwarding verification › Responses
Mail-forwarding verification was restarted.
Disable mail forwarding
Removes the forwarding zone, all aliases, and mail DNS records that can be safely identified as managed (modified or ambiguous DNS records remain unchanged).
Any unused time in the current paid period remains available until renews_at, so you can re-enable mail forwarding before that date without another charge.
While disabled, mail forwarding will not renew or create another charge when the paid period ends.
Disabling mail forwarding does not refund any unused time in the current paid period.
path Parameters
domainNameOrIdfull domain name or ID
Disable mail forwarding › Responses
MailForwarding
List mail forwards
Returns the aliases currently configured for the domain. Aliases can be managed while mail forwarding is pending, active, or failed.
path Parameters
domainNameOrIdfull domain name or ID
query Parameters
sortSort by alias or id. Separate multiple fields with commas and prefix a field with - for descending order.
pageper_pageList mail forwards › Responses
Paginated set of MailForward
Create mail forward
Adds an alias to a pending, active, or failed mail-forwarding zone. The domain must use hosted DNS.
This endpoint may remove conflicting DNS records so mail forwarding can keep working.
path Parameters
domainNameOrIdfull domain name or ID
Create mail forward › Request Body
aliasThe local part to forward. Use * as a catch-all alias.
targetThe email address that receives forwarded messages.
Create mail forward › Responses
MailForward
Show mail forward
Returns one alias configured for the domain. Aliases can be managed while mail forwarding is pending, active, or failed.
path Parameters
domainNameOrIdfull domain name or ID
mailForwardIdmail-forward ID
Show mail forward › Responses
MailForward
Update mail forward
Replaces the alias and target of one mail forward while mail forwarding is pending, active, or failed. The domain must use hosted DNS.
This endpoint may remove conflicting DNS records so mail forwarding can keep working.
path Parameters
domainNameOrIdfull domain name or ID
mailForwardIdmail-forward ID
Update mail forward › Request Body
aliasThe local part to forward. Use * as a catch-all alias.
targetThe email address that receives forwarded messages.
Update mail forward › Responses
MailForward